
Core - Feature # 11771

Status: Resolved Priority: Could have
Author: Steffen Gebert Category: Install Tool
Created: 2010-12-29 Assigned To: Alexander Opitz
Updated: 2014-03-05 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Check for write-permissions before installation
Description

What do you think of checking for write-permissions on typo3conf/ and typo3temp/ at the very first place?

This also enables to use the FIRST_INSTALL file and doesn't show the missing-ENABLE_INSTALL_TOOL warning (and then the "I
want to write to typo3temp" and then the "I want to write to typo3conf/localconf.php").

So this would require a change of the core behavior, but I would call it way more user-friendly instead of interpreting the meaning of
error messages one by one.

Related issues:
related to Core - Bug # 31255: CF: Could not create directory Resolved 2011-10-25
related to Core - Bug # 53464: Migrate all file relations hangs after wrong p... Closed 2013-11-08
related to Introduction Package - Bug # 12870: FIRST_INSTALL not working? Resolved 2011-02-08
related to Core - Bug # 46602: If typo3temp is not create-/writeable we get a... Closed 2013-03-23
related to Core - Bug # 42907: Installation Exceptions should look nice Closed 2012-11-13
related to Core - Feature # 43477: Better error handling on dummy without per... Closed 2012-11-30
related to Core - Bug # 47066: If typo3conf is not writeable we get a uncaugh... Closed 2013-04-09
duplicated by Core - Feature # 12872: Initial check screen for writable paths Closed 2011-02-08

Associated revisions
Revision e7cf5501 - 2014-03-05 22:56 - Alexander Opitz

[BUGFIX] Catch all errors while starting installer

While initializing the installer it can happen that
Exceptions are thrown. As there is no ExceptionHandler
initialized yet, we get a white page and the Fatal error
will be logged.

Mostly it is the problem that typo3conf and/or typo3temp
isn't writeable. But it might something else which throws
an exception.

This patch catches the exception in the initializing
process and shows a page in the layout of the installer.
It shows the exception message, a first hint for the maybe
write permissions problem and a link with the exception number.

Resolves: #11771
Releases: 6.1
Change-Id: Ib99860054b727907a9a84bdfd3e35fe3f2eebe00

2015-08-04 1/5



Reviewed-on: https://review.typo3.org/23219
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2011-01-05 11:52 - Ben van 't Ende
- Category set to Install process
- Status changed from New to Under Review
- Priority changed from Should have to Could have
- Target version set to 4.6

#2 - 2011-06-02 23:24 - Steffen Gebert
- File 11771.diff added

Working patch attached. I only have to think of the situation, when the fileadmin/ directory has been renamed..

#3 - 2011-06-02 23:25 - Steffen Gebert
- Tracker changed from Bug to Feature
- Project changed from Introduction Package to Core
- Category deleted (Install process)
- Assigned To set to Steffen Gebert
- Target version deleted (4.6)

#4 - 2011-06-02 23:25 - Steffen Gebert
- Subject changed from Check for write-permissions first to Check for write-permissions before installation
- Category set to Install Tool
- TYPO3 Version set to 4.6

#5 - 2011-11-30 10:20 - Steffen Ritter
- Target version set to 4.7.0-alpha2

#6 - 2011-12-12 09:17 - Steffen Ritter

Mind to push that to Gerrit? Or Should I?

#7 - 2011-12-19 19:44 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7396

#8 - 2011-12-19 19:45 - Oliver Hader
- File forge_11771.png added

Looks like this now:
forge_11771.png
#9 - 2011-12-20 20:39 - Steffen Gebert

#31255 is a new point, where the installation breaks because of insufficient rights. This check should be somewhere before the Caching Framework
dies. See #31255 for a strack trace.

#10 - 2011-12-20 22:50 - Oliver Hader
- Target version changed from 4.7.0-alpha2 to 4.7.0-alpha3

#11 - 2012-02-13 09:42 - Steffen Ritter
- Target version changed from 4.7.0-alpha3 to 4.7.0-beta1

#12 - 2012-03-05 17:36 - Steffen Ritter
- Target version deleted (4.7.0-beta1)

#13 - 2012-04-29 12:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7396

#14 - 2013-04-14 23:52 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/7396

#15 - 2013-04-24 09:01 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/7396

#16 - 2013-04-28 21:57 - Alexander Opitz
- TYPO3 Version changed from 4.6 to 6.1

#17 - 2013-05-02 16:56 - Kay Strobach

why chmod 777 ??? -> isn't it better to chgrp www-data ? and chmod 770?

Thanks

#18 - 2013-05-02 16:56 - Kay Strobach

why chmod 777 ??? -> isn't it better to chgrp www-data ? and chmod 770?

Thanks

#19 - 2013-05-06 09:34 - Alexander Opitz
Hi Kay,

here is nothing about chmod 777, so did you post to false issue?

#20 - 2013-05-06 22:05 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/7396

#21 - 2013-05-06 22:07 - Alexander Opitz
- Assigned To changed from Steffen Gebert to Alexander Opitz
- Target version set to 6.2.0

#22 - 2013-05-13 22:05 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/7396

#23 - 2013-05-20 15:37 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/7396

#24 - 2013-05-20 19:15 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/7396

#25 - 2013-06-11 00:03 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/7396

#26 - 2013-08-21 14:46 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/23219

#27 - 2013-09-12 20:39 - Wouter Wolters
- Target version deleted (6.2.0)

#28 - 2014-01-09 14:10 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/23219
#29 - 2014-02-18 15:12 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/23219

#30 - 2014-03-05 21:09 - Gerrit Code Review

Patch set 4 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/23219

#31 - 2014-03-05 23:30 - Alexander Opitz
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e7cf5501e6aae9177fd5a048553d305589ce41cb.

Files
11771.diff 4.1 kB 2011-06-02 Steffen Gebert
forge_11771.png 24.1 kB 2011-12-19 Oliver Hader
